#!/bin/sh
# Pt-web/src/app-root/scripts/PortDiag/enactBrokenDM24.sh
# 
#  Copyright: ©2012, Güralp Systems Ltd.
#  Author: Laurence Withers <lwithers@guralp.com>
#  License: GPLv3
#

logger -t "enactBrokenDM24.sh" "Starting up"

PORT_NAME="$1"
BAUD="$2"

CFFILE="/etc/conf.d/serial/${PORT_NAME}.cf"

svc "${PORT_NAME}" stop

logger -t "enactBrokenDM24.sh" "Modifying ${CFFILE}"

set -e

logger -t "enactBrokenDM24.sh" "Setting baud to ${BAUD}"
gcs_rwvar gcs_set_varcf "baud" "${CFFILE}" "${BAUD}"
logger -t "enactBrokenDM24.sh" "Setting function"
gcs_rwvar gcs_set_varcf "function" "${CFFILE}" "GCF in"
logger -t "enactBrokenDM24.sh" "Starting port service (${PORT_NAME})"
svc "${PORT_NAME}" start

logger -t "enactBrokenDM24.sh" "Calling dm24-upgrade to reset DM24"
dm24-upgrade \
    --trashfram \
    --samp 200 100 20 10 \
    --cont 0 255 0 0 \
    --trig 0 0 0 0 \
    --gps-baud 4800 \
    --in-baud 38400 \
    --verbose \
    "${PORT_NAME}"

# options for text editors:
# vim: expandtab:ts=4:sw=4
